# Created by pyp2rpm-3.3.3
%global pypi_name ufoprocessor

%global __requires_exclude (lxml|\\[ufo\\])

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        %mkrel 6
Summary:        Read, write and generate UFOs with designspace data
Group:          Development/Python
License:        MIT
URL:            https://github.com/LettError/ufoProcessor
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/ufoProcessor-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
Python package based on the designSpaceDocument from fontTools.designspaceLib
specifically to process and generate instances for UFO files, glyphs and
other data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(defcon) >= 0.6.0
Requires:       python3dist(fontmath) >= 0.4.9
Requires:       python3dist(fontparts) >= 0.8.2
Requires:       python3dist(fonttools) >= 3.32.0
Requires:       python3dist(mutatormath) >= 2.1.2

%description -n python3-%{pypi_name}
Python package based on the designSpaceDocument from fontTools.designspaceLib
specifically to process and generate instances for UFO files, glyphs and
other data.

%prep
%autosetup -n ufoProcessor-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ufoProcessor

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Mon Jan 15 2024 daviddavid <daviddavid> 1.9.0-6.mga10
+ Revision: 2031326
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 1.9.0-5.mga9
+ Revision: 1824840
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 1.9.0-4.mga9
+ Revision: 1781311
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 1.9.0-3.mga9
+ Revision: 1717494
- rebuild for python 3.9

* Thu Oct 29 2020 joequant <joequant> 1.9.0-2.mga8
+ Revision: 1640419
- fix requires

* Thu Oct 29 2020 joequant <joequant> 1.9.0-1.mga8
+ Revision: 1640406
- update to 1.9.0
- update ufoprocessor

* Wed Feb 19 2020 umeabot <umeabot> 1.8-2.mga8
+ Revision: 1543072
- Mageia 8 Mass Rebuild

* Mon Jan 13 2020 wally <wally> 1.8-1.mga8
+ Revision: 1477833
- imported package python-ufoprocessor

